Subject: linux-next: build failure after merge of the staging tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 11 Apr 2017 15:04:40 +1000

Hi Greg,

After merging the staging tree, today's linux-next build (powerpc
allyesconfig - I presume that an x86_64 allyesconfig will fail the
same way) failed like this:

drivers/staging/rtl8188eu/core/rtw_wlan_util.o: In function `.rtw_get_oper_ch':
(.text+0x9d0): multiple definition of `.rtw_get_oper_ch'
drivers/staging/rtl8723bs/core/rtw_wlan_util.o:(.text+0x9a0): first defined here

and many, many more ...

Presumably caused by commit

  554c0a3abf21 ("staging: Add rtl8723bs sdio wifi driver")

I guess this driver was copied from drivers/staging/rtl8188eu/ at some
point and modified (or they have the same ancestor) since they share a
large number of global symbols.

I have applied the following patch for today:

From: Stephen Rothwell <[email-masked]>
Date: Tue, 11 Apr 2017 14:53:55 +1000
Subject: [PATCH] staging: disable the rtl8723bs sdio wifi driver for now

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/staging/rtl8723bs/Kconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/staging/rtl8723bs/Kconfig b/drivers/staging/rtl8723bs/Kconfig
index 71450eee3b28..04706d3148d6 100644
--- a/drivers/staging/rtl8723bs/Kconfig
+++ b/drivers/staging/rtl8723bs/Kconfig
@@ -1,6 +1,7 @@
 config RTL8723BS
 	tristate "Realtek RTL8723BS SDIO Wireless LAN NIC driver"
 	depends on WLAN && MMC && CFG80211
+	depends on BROKEN
 	select WIRELESS_EXT
 	select WEXT_PRIV
 	---help---
-- 
2.11.0

-- 
Cheers,
Stephen Rothwell